<?php
error_reporting(E_ERROR | E_PARSE);
include '../conector.php';
include 'fpdf.php';

$per1 = 9;
$cur1 = 12;
$estudiante = 160008;

class PDF extends FPDF
{
function Header()
{
$today_h = date('d-m-Y');    
$seleccion=$per1;    

$sel_estudiante="select estu.nombre,estu.usuario,estu.clave,u.nombre_archivo as foto from"
        . " estudiante estu"
        ." left join upload u ON (u.codigo = estu.estudiante_id and u.clase='F')"
        . "where estu.estudiante_id=".$estudiante." ";
$res_sel_estudiante=mysql_query($sel_estudiante);
$estudiante=mysql_fetch_array($res_sel_estudiante);

$sel_curso="select codigo,nombre from curso where curso_id=".$cur1." ";
$res_sel_curso=mysql_query($sel_curso);
$curso=mysql_fetch_array($res_sel_curso);

$sel_planilla="select anno,periodo from planilla where id=".$per1." ";
$res_sel_planilla=mysql_query($sel_planilla);
$planilla=mysql_fetch_array($res_sel_planilla);

    $this->Ln(0.2);
    $this->SetFillColor(212,212,212);
    $this->SetFont('Arial','B',16); 
    $this->Cell(9,1,' COLEGIO DE LA ESPERANZA',0,0,'L',TRUE); 
    $this->Cell(0.1,1,' ',0,0,'C');
    $this->Cell(11.4,1,' INFORME PROCESOS INTERMEDIOS',0,1,'C',TRUE);

    $this->Ln(0.1);
    $this->Cell(9.1,1,' ',0,0,'C');
    $this->SetFont('Arial','b',8); 
    $this->Cell(11.4,0.5,'NOMBRE DEL ALUMNO',0,1,'C',TRUE);

    $this->Ln(0.1);
    $this->Cell(9.1,1,' ',0,0,'C');
    $this->SetFont('Arial','',8); 
    $this->Cell(12.4,2.5,''.utf8_decode($estudiante[0]),0,1,'C',false);
    $this->Ln(0.1);
}
}

$pdf=new PDF('P','cm','letter');
$pdf->AddPage();

$seleccion_pen=" select distinct pensum.subject_id
            from estudiante,pensum,curso,planilla_detalle,asignatura 
                         where pensum.class_id=".$cur1." 
                        and estudiante.estudiante_id=".$estudiante." 
                        and planilla_detalle.planilla=".$per1." 
                        and pensum.class_id=curso.curso_id 
                        and estudiante.curso_id=pensum.class_id 
                        and pensum.estado='A' 
                        and planilla_detalle.codigo_pensum=pensum.subject_id 
                        and planilla_detalle.codigo_est=estudiante.estudiante_id 
                        and asignatura.subject_id=pensum.asignatura_id order by pensum.nombre";

$res_seleccion_pen=mysql_query($seleccion_pen);
$num_filas_pen = mysql_num_rows($res_seleccion_pen);    

if($num_filas_pen>0){
$color=242;$cont=1;
    while($rs_sel_pen=mysql_fetch_array($res_seleccion_pen)){
        
        $select_curso_nota=" select  asignatura.nombre,planilla_consulta.pensum,
                    IFNULL(planilla_consulta.D,0),
                    IFNULL(planilla_consulta.I,0),
                    IFNULL(planilla_consulta.F,0),
                    IFNULL(planilla_consulta.IP,0),
                    IFNULL(planilla_consulta.FP,0),
IFNULL(planilla_consulta.C1,0),
                    IFNULL(planilla_consulta.C2,0),
                    IFNULL(planilla_consulta.CG,0),
pensum.intensidad
                    from estudiante,pensum,curso,planilla_consulta,asignatura 
                    where pensum.class_id=".$cur1." 
                    and estudiante.estudiante_id=".$estudiante." 
                    and planilla_consulta.periodo=".$per1." 
                    and pensum.class_id=curso.curso_id 
                    and estudiante.curso_id=pensum.class_id 
                    and pensum.estado='A' 
                    and pensum.subject_id=".$rs_sel_pen[0]."
                    and planilla_consulta.pensum=pensum.subject_id 
                    and planilla_consulta.estudiante=estudiante.estudiante_id 
                    and asignatura.subject_id=pensum.asignatura_id order by pensum.nombre";    

        $res_select_curso_nota=mysql_query($select_curso_nota);
        $num_filas_not = mysql_num_rows($res_select_curso_nota);    
        
            if($num_filas_not>0){            
                        
            $materia_pensum='';
            $diario=0;
            $inter=0;
            $final=0;
            $int_prof=0;
            $fin_prof=0;
            $credito1=0;
            $credito2=0;    
            $total_60_p=0;
            $cuarenta_intermedio_p=0;
                        
            while($rs_curso_nota=mysql_fetch_array($res_select_curso_nota)){
                $materia_pensum=$rs_curso_nota[0];
                $diario=$rs_curso_nota[2];
                $inter=$rs_curso_nota[3];
                $final=$rs_curso_nota[4];
                $int_prof=$rs_curso_nota[5];
                $fin_prof=$rs_curso_nota[6];
                $credito1=$rs_curso_nota[7];
                $credito2=$rs_curso_nota[8];
                $total_60_p=$rs_curso_nota[9];
                $cuarenta_intermedio_p=$rs_curso_nota[9];
                $intensidad=$rs_curso_nota[10];
            }
            
            $pdf->SetFont('Arial','b',9);
            $pdf->SetFillColor($color,$color,$color);
            if($cont==1){$color=255;$cont=2;}elseif($cont==2){$color=242;$cont=1;}
            $pdf->Cell(11.4,0.5,''.utf8_decode($materia_pensum),1,0,'L',true);
            $pdf->Cell(3.8,0.5,' '.$diario,1,0,'C',true);
            $pdf->Cell(3.8,0.5,' '.$inter,1,0,'C',true);
            $pdf->Cell(3.8,0.5,' '.$total_60_p,1,1,'C',true);
                        
            }
    }
}

$sel_estudiante="select nombre,usuario,clave from estudiante where estudiante_id=".$estudiante." ";
$res_sel_estudiante=mysql_query($sel_estudiante);
$estudiante=mysql_fetch_array($res_sel_estudiante);

$pdf->Output("Informe_Intermedio_".$estudiante[0].".pdf",'F');
echo "PDF generado: Informe_Intermedio_".$estudiante[0].".pdf\n";
?>